# chinilla-blockchain

| Current Release/latest | Beta Release/main |
|         :---:          |          :---:         |
| [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml/badge.svg?branch=latest)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml) [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml/badge.svg?branch=latest)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml) [![Linux Installer arm64](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml/badge.svg?branch=latest)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml) [![MacOS Core Tests](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml/badge.svg?branch=latest)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml) [![Windows Installer on Windows 10 and Python 3.7](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml/badge.svg?branch=latest)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml) | [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml/badge.svg)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml) [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml/badge.svg)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml) [![Linux Installer arm64](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml/badge.svg)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml) [![MacOS Core Tests](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml/badge.svg)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml) [![Windows Installer on Windows 10 and Python 3.7](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml/badge.svg)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml) |

| Development Release/dev |  |
|         :---:          |          :---:         |
| [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml/badge.svg?branch=dev)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-deb.yml) [![Linux Installer Deb](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml/badge.svg?branch=dev)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-installer-rpm.yml) [![Linux Installer arm64](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml/badge.svg?branch=dev)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-linux-arm64-installer.yml) [![MacOS Core Tests](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml/badge.svg?branch=dev)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-macos-installer.yml) [![Windows Installer on Windows 10 and Python 3.7](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml/badge.svg?branch=dev)](https://github.com/Chinilla/chinilla-blockchain/actions/workflows/build-windows-installer.yml) |  |

Chinilla is fork of Chia, a modern cryptocurrency built from scratch, designed to be efficient, decentralized, and secure. Chinilla only has a pre-mine of 21,000 HCX (vs. Chia's 21,000,000 XCH) to support current and future development.  We recommend [auditing our main branch vs Chia](https://github.com/Chia-Network/chia-blockchain/compare/main...Chinilla:main) if you have any questions on what was changed.  Chinilla is committed to maintaining a pure vanilla fork of Chia and will will only implement changes that have been published on the upstream main branch.

Here are some of the features and benefits:
* [Proof of space and time](https://docs.google.com/document/d/1tmRIb7lgi4QfKkNaxuKOBHRmwbVlGL4f7EsBDr_5xZE/edit) based consensus which allows anyone to farm with commodity hardware
* Very easy to use full node and farmer GUI and cli (thousands of nodes active on vanillanet)
* [Chinilla seeder](https://github.com/Chinilla/chinilla-blockchain/wiki/Chinilla-Seeder-User-Guide), which maintains a list of reliable nodes within the Chinilla via a built-in DNS server.
* Simplified UTXO based transaction model, with small on-chain state
* Lisp-style Turing-complete functional [programming language](https://chinillalisp.com/) for money related use cases
* BLS keys and aggregate signatures (only one signature per block)
* [Pooling protocol](https://github.com/Chinilla/chinilla-blockchain/wiki/Pooling-User-Guide) that allows farmers to have control of making blocks
* Support for light clients with fast, objective syncing
* A growing community of farmers and developers around the world

Please check out the [wiki](https://github.com/Chinilla/chinilla-blockchain/wiki)
and [FAQ](https://github.com/Chinilla/chinilla-blockchain/wiki/FAQ) for
information on this project.

Python 3.7+ is required. Make sure your default python version is >=3.7
by typing `python3`.

If you are behind a NAT, it can be difficult for peers outside your subnet to
reach you when they start up. You can enable
[UPnP](https://www.homenethowto.com/ports-and-nat/upnp-automatic-port-forward/)
on your router or add a NAT (for IPv4 but not IPv6) and firewall rules to allow
TCP port 43444 access to your peer.
These methods tend to be router make/model specific.

Most users should only install harvesters, farmers, plotter, full nodes, and wallets.
Setting up a seeder is best left to more advanced users.
Building Timelords and VDFs is for sophisticated users, in most environments.
Chinilla and additional volunteers are running sufficient Timelords
for consensus.

## Installing

Install instructions are available in the
[INSTALL](https://github.com/Chinilla/chinilla-blockchain/wiki/INSTALL)
section of the
[chinilla-blockchain repository wiki](https://github.com/Chinilla/chinilla-blockchain/wiki).

## Running

Once installed, a
[Quick Start Guide](https://github.com/Chinilla/chinilla-blockchain/wiki/Quick-Start-Guide)
is available from the repository
[wiki](https://github.com/Chinilla/chinilla-blockchain/wiki).
